import Login from "../Login.vue";
import {mount} from "@vue/test-utils";
import { shallowMount } from '@vue/test-utils'
import Service from "../service/Service";
import Contenu from "../Contenu";
import Volet_Base from "../components/Volet_Base";
import Volet_Menu from "../components/Volet_Menu";
import Choix_Mode from "../components/Choix_Mode";
import Choix_Mode_Variante from "../components/Choix_Mode_Variante";

// Rien a tester dans Index.vue, car c'est juste un "aggrégateur" pour d'autres composants.

test('Choix_Mode', () => {

    const wrapper = shallowMount(Choix_Mode)

    expect(wrapper.vm.contenuPanier).toEqual(true)

    let button = wrapper.find('#choixDuMode');
    button.trigger('click');

    expect(wrapper.vm.contenuPanier).toEqual(false)


    const wrapperDeux = shallowMount(Choix_Mode_Variante)

    expect(wrapperDeux.vm.contenuPanier).toEqual(true)

     button = wrapperDeux.find('#choixDuMode');
    button.trigger('click');

    expect(wrapperDeux.vm.contenuPanier).toEqual(false)

})